org.apache.ignite.internal.processors.hadoop

## Interface HadoopPartitioner

    public interface HadoopPartitioner

Partitioner.

### Method Summary

Methods
`int` `partition(Object key, Object val, int parts)` Gets partition which is actually a reducer index for the given key and value pair.

### Method Detail

#### partition

    int partition(Object key,
                Object val,
                int parts)

Gets partition which is actually a reducer index for the given key and value pair.

Parameters:
  `key` - Key.
  `val` - Value.
  `parts` - Number of partitions.
Returns:
  Partition.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015